Skip to main content
GET
/
api
/
product-types
/
List Product Types
curl --request GET \
  --url https://api.merchantops.ai/api/product-types/
{
  "items": [
    {
      "id": "<string>",
      "key": "<string>",
      "name": "<string>",
      "category_key": "<string>",
      "createdAt": "<string>",
      "createdBy": "<string>",
      "description": [
        {}
      ],
      "isActive": true,
      "is_system": false,
      "lastModifiedAt": "<string>",
      "lastModifiedBy": "<string>",
      "propertyCount": 0,
      "propertyKeys": [
        "<string>"
      ]
    }
  ],
  "limit": 123,
  "offset": 123,
  "total": 123
}

Headers

authorization
string | null
X-Organization-ID
string | null

Query Parameters

is_active
boolean | null

Filter by active status

include_system
boolean
default:false

Include system product types (e.g. base_template)

limit
integer
default:50
Required range: 1 <= x <= 100
skip
integer
default:0
Required range: x >= 0

Cookies

stytch_session
string | null

Response

Successful Response

Response model for list of ProductTypes.

items
ProductTypeResponse · object[]
required
limit
integer
required
offset
integer
required
total
integer
required